EDIT - task #8047

Remaining issues in TaxDistributionEditor
01/31/2019 12:50 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal

Description

Copied from #7854

(see descrlptron in #7854 and #7854#note 20

e |n preferences translate possible configuration terms "ID in Vocabulary" => "ID im Vokabular"

e Multiple cell selection in table is currently possible. As there is no function related to this we should remove this feature for now.

e Think about synchronization strategies for name editor and distribution editor

e Documentation e.g. how to use only with keystrokes (#7854#note-80)

¢ implement comparator which is related to the tree structure in the navigator, so children of a taxon come first though they have a
lower rank, but best ordering should be configurable (let the user choose from the 3 typical ordering + the ordering described
here - which has again 2 versions, alphabetic or rank + alphabetic) #7854#note-87

. warnlng before opening |f number of opened taxa is large (e.g. >200) thls may take tlme

o If no area is selected add a message to the whlte space beside the table to choose an area first. Or, alternatively, automatically
open the area selection dialog or open a dialog that asks you if you want to open the area selection because no area is selected
yet

. Check performance with Iarge datasets (and related to this) #61 59#note 9

¢ Filtering for taxon names works only after leaving the cell, better would be after key stroke + delay
¢ Filter: use same label as shown in the cells, currently it shows same value as in the dropbox of cells (also needs discussion if
the cell Iabel should also be shown (addltronally) in the dropbox

Also interesting:

e editing multiple status (currently multiple status are only displayed, is there a way to edit multiple status?)

Related issues:

Related to EDIT - bug #6159: improve distribution editor in TaxEditor Closed
Related to EDIT - feature request #7860: [Master] Remaining E+M editor issues New
Related to EDIT - bug #8939: Exception when opening Distribution Editor becau... Closed
Copied from EDIT - task #7854: Open issues in TaxDistributionEditor Closed
Copied to EDIT - feature request #8889: Remaining issues for distribution edi... In Progress

Associated revisions
Revision 942a8769 - 06/04/2019 09:45 AM - Katja Luther

ref #8047: show symbol and label in drop down of distribution editor

Revision 11847891 - 06/04/2019 05:48 PM - Katja Luther

ref #8047: configurable display of status in drop down

Revision 9f2fa4a8 - 06/04/2019 10:22 PM - Katja Luther

ref #8047: configurable display of status in drop down, new enum and predicate

Revision cb36db97 - 02/20/2020 12:23 PM - Katja Luther

ref #8047: move remove button to status bar

Revision a4469da8 - 02/20/2020 12:23 PM - Katja Luther

ref #8047: use icon for remove button

Revision ab40ab80 - 02/25/2020 12:15 PM - Katja Luther

ref #8047: handling of factual data view when switching between name editor and distribution editor

Revision 884aefac - 02/25/2020 12:21 PM - Katja Luther

ref #8047: allow multiselect for open distribution editor

Revision 466d5ea5 - 02/26/2020 09:04 AM - Katja Luther

ref #8047: allow multiselect for open distribution editor - continue

Revision a093f2b1 - 02/26/2020 09:10 AM - Katja Luther

ref #8047: improve handling of factual data view when switching views

Revision 53dde875 - 02/26/2020 09:51 AM - Katja Luther

ref #8047: open list of taxa in distribution editor

Revision 1¢7218c8 - 02/26/2020 10:05 AM - Katja Luther

ref #8047: adapt menu item for multi select

Revision 68278258 - 02/26/2020 10:16 AM - Katja Luther
ref #8047: avoid NPE in filter

Revision 51270199 - 02/27/2020 10:23 AM - Katja Luther

ref #8047: show taxon name in details

Revision f47160a6 - 02/27/2020 10:57 AM - Katja Luther

ref #8047: show taxon name in details - continue

Revision c822b3aa - 02/27/2020 11:28 AM - Katja Luther

ref #8047: missing WorkbenchEventConstants changes

Revision 8cf9ef9f - 02/27/2020 12:52 PM - Katja Luther

ref #8047: add preference for number of visible status in drop down

Revision 1e4fc9a9 - 02/27/2020 12:53 PM - Katja Luther

ref #8047: add preference for number of visible status in drop down - check in cell editor

Revision 0017e5a7 - 02/27/2020 01:12 PM - Katja Luther
ref #8047: add preferencePredicate NUmberOfStatus

Revision ec05977a - 03/03/2020 11:38 AM - Katja Luther

ref #8047: add preferencePredicate for status order
Revision Oeccefea - 03/03/2020 11:38 AM - Katja Luther

ref #8047: status order in drop down

Revision 7efica71 - 03/03/2020 11:54 AM - Katja Luther

ref #8047: status order in drop down - continue

Revision fe6bf49c - 03/03/2020 12:03 PM - Katja Luther
ref #8047: code cleaning

Revision f18e2af7 - 03/05/2020 09:46 AM - Katja Luther

ref #8047: fix handling of integer preference values

Revision 736d82ea - 03/05/2020 10:46 AM - Katja Luther
ref #8047: adapt column width to length of header label

Revision 7d915639 - 03/19/2020 08:57 AM - Katja Luther

ref #8047: fix number of status in drop down preference

Revision d23eff06 - 03/19/2020 09:40 AM - Katja Luther

ref #8047: fix number of status in drop down preference

Revision 0ac4c430 - 03/20/2020 09:49 AM - Katja Luther

ref #8047: switch button label depending of existing default source

Revision 01761092 - 03/20/2020 10:26 AM - Katja Luther
ref #8047: add 110n files

Revision 3afc2686 - 03/22/2020 09:12 PM - Katja Luther

ref #8047: fixing number of status issues

Revision fc0e5d0a - 03/23/2020 11:16 AM - Katja Luther

ref #8047: fixing number of status issues - layout

History

#1 - 01/31/2019 06:30 PM - Andreas Miiller
- Copied from task #7854: Open issues in TaxDistributionEditor added

#2 - 01/31/2019 06:32 PM - Andreas Miiller

- Description updated

#3 - 01/31/2019 06:42 PM - Andreas Miiller

- Description updated

#4 - 01/31/2019 11:16 PM - Andreas Miller

- Description updated

#5 - 02/01/2019 09:43 AM - Andreas Miiller

- Description updated

#6 - 02/01/2019 09:56 AM - Andreas Mdiller

- Description updated

#7 - 02/01/2019 12:47 PM - Katja Luther

- Description updated

#8 - 02/01/2019 03:17 PM - Andreas Miller
- Description updated

#9 - 02/05/2019 11:29 AM - Andreas Miiller
- Description updated

#10 - 02/05/2019 11:32 AM - Andreas Miiller
- Description updated

#11 - 02/05/2019 11:42 AM - Andreas Miiller
- Description updated

#12 - 02/06/2019 10:57 AM - Andreas Miiller
- Description updated

#13 - 02/07/2019 12:50 PM - Andreas Miiller

- Description updated

#14 - 02/08/2019 03:27 PM - Andreas Miiller

- Related to bug #6159: improve distribution editor in TaxEditor added

#15 - 02/08/2019 03:37 PM - Andreas Miiller

- Description updated

#16 - 02/08/2019 03:52 PM - Andreas Miiller

- Description updated

#17 - 02/08/2019 04:06 PM - Andreas Miiller

- Description updated

#18 - 02/08/2019 04:14 PM - Andreas Miiller

- Description updated

#19 - 02/22/2019 09:50 AM - Katja Luther
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Release 5.7

#20 - 02/22/2019 10:31 AM - Andreas Miiller

- Related to feature request #7860: [Master] Remaining E+M editor issues added

#21 - 02/22/2019 10:35 AM - Andreas Miiller

- Description updated

#22 - 05/03/2019 04:52 PM - Katja Luther

- Target version changed from Release 5.7 to Release 5.8

#23 - 05/22/2019 12:43 PM - Katja Luther

- Description updated

#24 - 06/04/2019 10:22 PM - Katja Luther

- Description updated

#25 - 07/19/2019 03:21 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#26 - 09/18/2019 05:02 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11
#27 - 11/04/2019 12:40 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#28 - 01/16/2020 01:12 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#29 - 02/13/2020 01:38 PM - Katja Luther

- Description updated

#30 - 02/14/2020 10:54 AM - Katja Luther
- Description updated

e Use icon (delete icon) for "Remove Source" and move button down beside the label for the selected source

e ... or alternatively to all the above use only 1 button which changes label and functionality depending on a source already being selected or
not, either "add" or "remove"

Now | implemented it in a way that the remove button is disabled if no source is selected, but the select source button is still enabled when a source is
selected to have the possibility to change the selection.

#31 - 02/17/2020 12:35 PM - Katja Luther

- Description updated

#32 - 02/17/2020 12:36 PM - Katja Luther

- Description updated

#33 - 02/17/2020 12:37 PM - Katja Luther
- Description updated

#34 - 02/26/2020 11:59 AM - Katja Luther
- Description updated

#35 - 02/27/2020 01:46 PM - Katja Luther

e Sort status in drop down alphabetically

I think a few weeks ago we decided to sort the status by the id in Vocabulary. | have to search for the ticket entry.

#36 - 02/27/2020 01:47 PM - Katja Luther
- Description updated

#37 - 02/27/2020 02:24 PM - Andreas Miiller

Katja Luther wrote:
e Sort status in drop down alphabetically

I think a few weeks ago we decided to sort the status by the id in Vocabulary. | have to search for the ticket entry.

The sorting (if alphabetically) should always depend on the representation used. Which one to use is defined in the preferences. So we can't say it is
always "by idInVoc" or always by "label".

#38 - 03/03/2020 11:42 AM - Katja Luther

- Description updated

#39 - 03/04/2020 11:45 AM - Katja Luther
- Description updated

#40 - 03/05/2020 10:58 AM - Katja Luther
- Description updated

#41 - 03/10/2020 09:32 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

for the missing issues created a new ticket #8889 and close this ticket.
please review.

#42 - 03/18/2020 06:18 PM - Andreas Miiller

- Copied to feature request #8889: Remaining issues for distribution editor - continue added

#43 - 03/18/2020 06:35 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

"Choose Source" does not change label if a source is already selected. It may change label to "Change source" (and back if source is deleted).

#44 - 03/18/2020 06:39 PM - Andreas Miiller

Make the number of dropdown items (for status selection) configurable

The field in the preferences is not a pure integer field, but it also allows characters like "a". Generally it should allow only numbers or at least an error
should be shown when trying to save a value like 'aaa20’
Also the field could be a bit wider to make sure all numbers are shown and not only hidden.

#45 - 03/18/2020 06:46 PM - Andreas Miiller
- % Done changed from 0 to 40

Also the width of the field differs in DB prefs and in local prefs. In DB prefs it is definetely to small as only 1 number is fully shown.
#46 - 03/18/2020 06:48 PM - Andreas Miiller
... no it looks like the 2 influence each other. If | store a new value in DB prefs this value is also shown in local prefs but should not. So override does

not work. Please check functionality and independency of both values.

#47 - 03/18/2020 06:54 PM - Andreas Miiller

Allow multi-select when opening the distribution editor to better define the taxon sets to work with (important for flat hierarchies)
if selected nodes have children ask whether they should be opened too or not

The later issue seems not to be implemented yet. If | select Arenaria serpyllifolia the children are automatically opened without asking if this should
happen.

#48 - 03/18/2020 10:44 PM - Katja Luther
Andreas Muller wrote:
Allow multi-select when opening the distribution editor to better define the taxon sets to work with (important for flat hierarchies)

if selected nodes have children ask whether they should be opened too or not

The later issue seems not to be implemented yet. If | select Arenaria serpyllifolia the children are automatically opened without asking if this
should happen.

this is part of the follow up ticket.
#49 - 03/19/2020 07:34 AM - Katja Luther

Andreas Muller wrote:
... no it looks like the 2 influence each other. If | store a new value in DB prefs this value is also shown in local prefs but should not. So override
does not work. Please check functionality and independency of both values.
This is only the case if the local value was not set before so the default value is shown and this is the db value.
But the field was not disabled if allowOverride was false, this is fixed.
#50 - 03/19/2020 08:58 AM - Katja Luther
Katja Luther wrote:
Andreas Miiller wrote:
... no it looks like the 2 influence each other. If | store a new value in DB prefs this value is also shown in local prefs but should not. So
override does not work. Please check functionality and independency of both values.
This is only the case if the local value was not set before so the default value is shown and this is the db value.

But the field was not disabled if allowOverride was false, this is fixed.

Now also the exception label is shown correctly when something else then a number is entered.

#51 - 03/20/2020 09:51 AM - Katja Luther

Andreas Muller wrote:

"Choose Source" does not change label if a source is already selected. It may change label to "Change source" (and back if source is deleted).

this is implemented now.

#52 - 03/20/2020 04:08 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review the issues, mentioned above

#53 - 03/21/2020 11:11 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

The number field in the preferences is still not wide enough

#54 - 03/21/2020 11:45 AM - Andreas Miiller
Katja Luther wrote:
Katja Luther wrote:
Andreas Muller wrote:
... no it looks like the 2 influence each other. If | store a new value in DB prefs this value is also shown in local prefs but should not. So
override does not work. Please check functionality and independency of both values.
This is only the case if the local value was not set before so the default value is shown and this is the db value.

But the field was not disabled if allowOverride was false, this is fixed.

Now also the exception label is shown correctly when something else then a number is entered.

This is already better as it shows that there is an error. But some open issues:

e The label should be red as for other such error messages (e.g. URLS)
e The label should say "... positive integer" instead of "... number"

e negative numbers are still allowed but shouldn't

¢ if an incorrect "number" is entered, e.g. 1,3 saving is still possible but instead 13 is persisted which is not correct; saving should not be possible if
an error exist

In general | think it is a better solution for number fields to not allow entering anything else than numbers while entering data. So if someone tries to
enter a letter or anything else it should simply not be shown (not be entered). This is quite easy for positive integer fields and a bit more complicated
for decimal numbers or negative numbers. Isn't it possible to define a regex or something similar for such text fields or are there predefined textfields
for such cases? Entering pos. is a very basic issue so others may also have the same problem (and solutions).

Note: for dates we have a limited number of characters that can be entered maybe this shows how to solve such issues (but unfortunately also there it
is still possible to enter something else then numbers, so this should also be fixed if possible).

Of course this may be moved to a new ticket if it is not easy to fix.

#55 - 03/21/2020 11:55 AM - Andreas Miuiller

Andreas Muller wrote:

The number field in the preferences is still not wide enough

The problem is it changes the size according to the previous value. This does not make sense or should be implemented in a way that entering data
is also possible if you want to more digits. But here we can simply use a fixed width as we do not expect more than 2 digits. So with a width showing a
max of 3 digits we are always on the save side.

#56 - 03/21/2020 11:56 AM - Andreas Muller

It is not possible to define "use default" for the number of dropdown items, neither for DB prefs nor for local prefs.

#57 - 03/21/2020 12:03 PM - Andreas Miiller

Try to optimize the column width at start or after area selection. Details may be discussed. We have/had a similar discussion for the bulk editor in
some other ticket. / der Verbreitungseditor erinnert sich auch nicht, wenn ich die Spaltenbreite verédndert habe. Kénnte man ihn dazu bringen, die
Spaltenbreite automatisch an die Lange der Bezeichnungen in der Kopfzeile anzupassen?

To me it looks like this is not yet implemented though it is crossed out and also not moved to the follow up ticket.
If it is implemented can you please explain what the current expected behavior is if you open the distribution editor or if you selected a new set of
areas

#58 - 03/21/2020 12:16 PM - Andreas Miiller

- Status changed from Resolved to Feedback

Currently it is not possible to enter the status in the details view (the field is disabled). | do not fully remember if this was always the case. In general
there is no reason for disabling this field (other then the area and taxon name field which should be fixed as they are fixed in the table itself.

If this is a regression or if there is no technical reason for disabling we should enable the field, otherwise we can leave it as it is as it is not an urgent
issue.

#59 - 03/21/2020 12:20 PM - Andreas Miiller
- File picture589-1.png added

Sort status in drop down alphabetically
#60 - 03/21/2020 12:51 PM - Andreas Miiller

Andreas Muller wrote:

Sort status in drop down alphabetically

This mostly seems to be fixed but | found 1 case in rem_conf_am where it was not correct:

Sorry | did not see that the ordering is configurable now. So this issue is solved (only we could discuss what the default should be - idInVoc or label,
but this is of minor importance)

#61 - 03/21/2020 12:58 PM - Andreas Miiller
Andreas Muller wrote:
Andreas Muller wrote:

Sort status in drop down alphabetically

This mostly seems to be fixed but | found 1 case in rem_conf_am where it was not correct:

Sorry | did not see that the ordering is configurable now. So this issue is solved (only we could discuss what the default should be - idInVoc or
label, but this is of minor importance)

hmm, probably the best default (and also still missing alternative) is to always sort according to the label shown in the dropdown. It does not make
sense to order alphabetically by something which is not shown (so ordering by idInVoc does not make sense if the term.label or term.symbol or
something else is shown in the dropdown). Is it possible to implement it this way? (we may move this to the follow up ticket)

=> moved to #8889

#62 - 03/21/2020 12:59 PM - Andreas Miiller
- % Done changed from 40 to 60

This ticket is now fully reviewed. Only the issues | mentioned are still open (as far as | can see).

#63 - 03/22/2020 09:01 PM - Katja Luther

Andreas Muller wrote:

Currently it is not possible to enter the status in the details view (the field is disabled). | do not fully remember if this was always the case. In
general there is no reason for disabling this field (other then the area and taxon name field which should be fixed as they are fixed in the table
itself.

If this is a regression or if there is no technical reason for disabling we should enable the field, otherwise we can leave it as it is as it not an
urgent issue.
this was never possible. the distribution part of the details view was completely disabled.
#64 - 03/22/2020 09:09 PM - Katja Luther
Andreas Muller wrote:
Try to optimize the column width at start or after area selection. Details may be discussed. We have/had a similar discussion for the bulk

editor in some other ticket. / der Verbreitungseditor erinnert sich auch nicht, wenn ich die Spaltenbreite verédndert habe. Kénnte man ihn
dazu bringen, die Spaltenbreite automatisch an die Lange der Bezeichnungen in der Kopfzeile anzupassen?

To me it looks like this is not yet implemented though it is crossed out and also not moved to the follow up ticket.
If it is implemented can you please explain what the current expected behavior is if you open the distribution editor or if you selected a new set of
areas

Remembering the size is still missing, but adapting the width of the columns should work.

#65 - 03/22/2020 09:10 PM - Katja Luther
Andreas Milller wrote:
Andreas Miiller wrote:
The number field in the preferences is still not wide enough
The problem is it changes the size according to the previous value. This does not make sense or should be implemented in a way that entering

data is also possible if you want to more digits. But here we can simply use a fixed width as we do not expect more than 2 digits. So with a width
showing a max of 3 digits we are always on the save side.

this should be fixed.

#66 - 04/07/2020 05:29 PM - Andreas Miiller

- Related to bug #8939: Exception when opening Distribution Editor because of missing Preference added

#67 - 09/08/2022 06:33 PM - Andreas Miiller
- Tags set to distributionEditor

#68 - 09/08/2022 08:31 PM - Andreas Miiller
Katja Luther wrote in #note-64:
Andreas Muller wrote:
Try to optimize the column width at start or after area selection. Details may be discussed. We have/had a similar discussion for the

bulk editor in some other ticket. / der Verbreitungseditor erinnert sich auch nicht, wenn ich die Spaltenbreite verandert habe. Kénnte
man ihn dazu bringen, die Spaltenbreite automatisch an die Lange der Bezeichnungen in der Kopfzeile anzupassen?

To me it looks like this is not yet implemented though it is crossed out and also not moved to the follow up ticket.
If it is implemented can you please explain what the current expected behavior is if you open the distribution editor or if you selected a new
set of areas

Remembering the size is still missing ...

Moved to #8889

#69 - 09/08/2022 08:53 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 60 to 100

| close this ticket. All open issues were moved to #8889 as far as | can see.

Files
